## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-fastrlock
Version:        0.8.3
Release:        %autorelease
Summary:        Fast, re-entrant optimistic lock implemented in Cython

License:        MIT
URL:            https://github.com/scoder/fastrlock
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(wheel)

%global _description %{expand:
This is a C-level implementation of a fast, re-entrant, optimistic
lock for CPython. It is a drop-in replacement for threading.RLock.
FastRLock is implemented in Cython and also provides a C-API for
direct use from Cython code via from fastrlock cimport rlock or
from cython.cimports.fastrlock import rlock.}

%description %_description

%package -n     python3-fastrlock
Summary:        %{summary}

%description -n python3-fastrlock %_description

%prep
%autosetup -p1 -n fastrlock-%{version}

# So we do not have to keep up with a license for something we don't use.
rm appveyor_env.cmd

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l fastrlock

%check
%pyproject_check_import
%tox

%files -n python3-fastrlock -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.8.3-5
- Rebuilt for Python 3.14

* Mon Mar 24 2025 Tom Rix <Tom.Rix@amd.com> - 0.8.3-4
- Fix name

* Mon Mar 24 2025 Tom Rix <Tom.Rix@amd.com> - 0.8.3-3
- Change source

* Mon Mar 24 2025 Tom Rix <Tom.Rix@amd.com> - 0.8.3-2
- Upload the sources

* Mon Mar 24 2025 Tom Rix <Tom.Rix@amd.com> - 0.8.3-1
- Initial package
## END: Generated by rpmautospec
